## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeElementNAAllocator Class Reference

`#include <XalanSourceTreeElementNAAllocator.hpp>`

Collaboration diagram for XalanSourceTreeElementNAAllocator:

List of all members.

## Public Types

- typedef XalanSourceTreeElementNA ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeElementNAAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeElementNAAllocator ()
- ObjectType* create ( const XalanDOMString& theTagName, XalanSourceTreeDocument* theOwnerDocument, XalanNode* theParentNode = 0, XalanNode* thePreviousSibling = 0, XalanNode* theNextSibling = 0, IndexType theIndex = 0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XalanSourceTreeElementNAAllocator::ArenaAllocatorType

typedef ObjectType::IndexType XalanSourceTreeElementNAAllocator::IndexType

typedef XalanSourceTreeElementNA XalanSourceTreeElementNAAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeElementNAAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeElementNAAllocator::XalanSourceTreeElementNAAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeElementNAAllocator::~XalanSourceTreeElementNAAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeElementNAAllocator::create ( | const XalanDOMString & theTagName,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theTagName | The tag name of the element
  theOwnerDocument | The document that owns the instance
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeElementNAAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeElementNAAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeElementNAAllocator::reset ( | )

Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeElementNAAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.